org.apache.struts2.util

## Class IteratorGenerator

- java.lang.Object
- - org.apache.struts2.util.IteratorGenerator

- All Implemented Interfaces:
    Iterator, Action

      public class IteratorGenerator
      extends Object
      implements Iterator, Action

  A bean that generates an iterator filled with a given object depending on the count, separator and converter defined. It is being used by IteratorGeneratorTag.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `IteratorGenerator.Converter` Interface for converting each separated token into an Object of choice.

  - ### Field Summary

    - ### Fields inherited from interface org.apache.struts2.action.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IteratorGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute()` Where the logic of the action is executed.
    `boolean` | `getHasNext()`
    `Object` | `getNext()`
    `boolean` | `hasNext()`
    `Object` | `next()`
    `void` | `remove()`
    `void` | `setConverter(IteratorGenerator.Converter aConverter)`
    `void` | `setCount(int aCount)`
    `void` | `setSeparator(String aChar)`
    `void` | `setValues(Object aValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### IteratorGenerator

          public IteratorGenerator()

  - ### Method Detail

    - #### setCount

          public void setCount(int aCount)

    - #### getHasNext

          public boolean getHasNext()

    - #### getNext

          public Object getNext()

    - #### setSeparator

          public void setSeparator(String aChar)

    - #### setConverter

          public void setConverter(IteratorGenerator.Converter aConverter)

    - #### setValues

          public void setValues(Object aValue)

    - #### execute

          public String execute()

      Description copied from interface: `Action`
      Where the logic of the action is executed.
      Specified by:
        `execute` in interface `Action`
      Returns:
        a string representing the logical result of the execution. See constants in this interface for a list of standard result values.

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.